#include "partition.h"
#include <iostream>
#include <algorithm>
#include <vector>
#include <queue>
#include <map>

using namespace std;
using ll = long long;

int n;
vector<int> solve(vector<int> A) {
    vector <int> ans;
    n = A.size();
    ll sum = 0, tot = 0;
    for(int i = 0; i < n; i++)
        tot += A[i];
    tot = (tot + 1) / 2;

    int pos = 0;
    int cate = n / 2;
    if(n % 2 == 1)
        cate++;
    ///cate am nevoie pt prima parte
    for(int i = 1; i < cate; i++) {
        ans.push_back(pos);
        pos++;
    }
    ans.push_back(n - 1);
    while(pos < n - 1) {
        ans.push_back(pos);
        pos++;
    }
    return ans;
}